#ifndef GNOME_RUBRICA_INTERFACCIA_H
#define GNOME_RUBRICA_INTERFACCIA_H

#include <gnome.h>
#include "rubrica.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

int disegna_app(GnomeRubrica /*GtkWidget*/ *app);

void crea_frame_dati(GnomeRubrica *app, GtkWidget *box);
void crea_frame_spot(GtkWidget *box);

void crea_form_acquisisci (GnomeRubrica *app);

void crea_dati_personali_notebook(GnomeRubrica *apprub, GtkWidget *notebook);
void crea_rete_notebook(GnomeRubrica *apprub, GtkWidget *notebook);
void crea_telefono_notebook(GnomeRubrica *apprub, GtkWidget *notebook);
void crea_note_notebook(GnomeRubrica *apprub, GtkWidget *notebook);

void crea_box_bottoni(GtkWidget *box);
void credits(GtkCList *clist, TipoRubrica* );

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* GNOME_RUBRICA_INTERFACCIA_H */

