/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <gnome.h> 
#include "support.h"
#include "menu.h"
#include "files.h"
#include "dialoghi.h"
#include "interfaccia.h"
#include "rubrica.h"
#include "callback.h"
#include "init.h"
#include "util.h"

gchar *titolo[14]={
  "Scheda", 
  "Nome",  "Cognome",  "Professione",
  "Via",  "Numero",  "Citt",  "Provincia",  "Cap",  "Stato",
  "Pagina web",  "Indirizzo email",  "telefono",  
  "Note"
};


/*  Lista degli elementi. tipo: GList 
*/
GList *lista = NULL;       // lista degli indirizzi
GList *registro = NULL;    // registro dei widget 

/*    totale schede inserite
*/ 
gint tot = 0;

gboolean editato = FALSE;

GtkWidget *app;         
TipoRubrica *rub;

TelNum *tel_num;          
/*  cancellare se tutto ok
gchar *web_item;
gchar *mail_item;
*/
FileRubrica *fr;
GnomeRubrica *apprub;
Contatore cont;
Opzioni *opzioni;

int main (int argc, char* argv[])
{
  rub = (TipoRubrica *) g_malloc(sizeof(TipoRubrica));
  fr = (FileRubrica *) g_malloc(sizeof(FileRubrica));
  tel_num = (TelNum *) g_malloc(sizeof(TelNum));
  apprub = (GnomeRubrica *) g_malloc(sizeof(GnomeRubrica));
  opzioni = (Opzioni *) g_malloc(sizeof(Opzioni));

  lista = inizializza_lista();
//  opzioni = carica_opzioni_salvate();
  
  opzioni->nuova_rubrica = OP_NUOVA_RUBRICA_STILE_GEDIT;
  
  cont.mail = 0;
  cont.web = 0;
  cont.tel = 0;
  
  gnome_init(APPLICAZIONE, VERSIONE, argc, argv);
  
  apprub->window = gnome_app_new(APPLICAZIONE, TITOLO);
  registra_widget(apprub->window, "rubrica");
  /*
    implementare routine di inizializzazione per apprub, e trasferire tutte
    le inizializzazioni temporaneamente effettuate in main
  */
  apprub->form_done = FALSE;
  apprub->mostra_path = TRUE;
  /*      ----------------------------------------------     */
  disegna_app(apprub);
  
  gtk_main();

  return 0;
}
