#ifndef GNOME_RUBRICA_UTIL_H
#define GNOME_RUBRICA_UTIL_H

#include <gnome.h>
#include "rubrica.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

void registra_widget(gpointer ptr, gchar *nome);
GtkWidget *leggi_registro(gchar *nome);
  
void entry_modificata(GtkWidget *wid, gpointer data);
void radio_modificati(GtkWidget *wid, gpointer data);
gint sensibilizza_bottoni(gchar *nome1, gchar *nome2, gboolean stato);

void pulisci_entry(GnomeRubrica *apprub);

tipo_telefono determina_tipo_telefono(gchar *buffer);
tipo_telefono get_tipo_telefono(gchar *buffer);

void visualizza_dati(gchar *item[16][3]);
void mostra_lista(GList *lst);
gint mostra_note(GtkWidget *clist, gint riga, gchar *str);

gpointer estrai_dato(gchar *buffer, Token *token);
Token get_token(gchar *tkbuf);

void vedi_elemento_debug(TipoRubrica *i);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* GNOME_RUBRICA_UTIL_H */
