
#include "init.h"
#include "rubrica.h"

extern GList *registro;

GList *inizializza_lista(void)
{
  TipoRubrica *tmp;
  gchar *pagina_web;
  gchar *email;
  TelNum *tel;

  GList *lst=NULL;
  GList *listweb = NULL;
  GList *listmail = NULL;
  GList *listtel = NULL;

  tmp = (TipoRubrica*) g_malloc (sizeof(TipoRubrica));
  tel = (TelNum*) g_malloc (sizeof(TelNum));

  /*    creo l'elemento dati della lista
  */

  tmp->cancellabile = FALSE;   // non  possibile cancellare l'item
  tmp->editabile = FALSE;      // non  possibile editare l'item

  tmp->nome_scheda = strdup("Autore Rubrica");
  tmp->nome = strdup("Nicola");
  tmp->cognome = strdup("Fragale");
  tmp->professione = strdup("Studente Ingegneria Informatica");
  tmp->via = strdup("c/da Foresta");
  tmp->numero = strdup("65");
  tmp->citta= strdup("Lamezia Terme");
  tmp->provincia = strdup("Catanzaro");
  tmp->cap = strdup("88046");
  tmp->stato = strdup("Italia");
  
  pagina_web=strdup("http://www.nopage.it");  /* in futuro potrebbe 
						 contenere un indirizzo web */
  listweb = g_list_append(listweb, pagina_web);
  tmp->web = listweb;

  email = strdup("nicolafragale@libero.it");
  listmail = g_list_append(listmail, email);
  email = strdup("nfragale@tiscalinet.it");
  listmail = g_list_append(listmail, email);
  email = strdup("ngf@wowmail.com");
  listmail = g_list_append(listmail, email);
  tmp->mail = listmail;

  tel->numero = strdup("096826756");
  tel->tipo = TELEFONO_CASA;
  listtel = g_list_append(listtel, tel);
  
  tel = (TelNum*) g_malloc (sizeof(TelNum));
  tel->numero = strdup("0968938032");
  tel->tipo = TELEFONO_CASA;
  listtel = g_list_append(listtel, tel);

  tel = (TelNum*) g_malloc (sizeof(TelNum));
  tel->numero = strdup("0817664743");
  tel->tipo = TELEFONO_UFFICIO;
  listtel = g_list_append(listtel, tel);

  tel = (TelNum*) g_malloc (sizeof(TelNum));
  tel->numero = strdup("03483122911");
  tel->tipo = TELEFONO_CELLULARE;
  listtel = g_list_append(listtel, tel);
  tmp->telefono = listtel;

  /*    inserisco i dati nella lista
  */
  lst = g_list_append(lst, tmp);
  
  return (GList*) lst;
}

